CUPTI (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.20. CUpti_ActivityInstantaneousEvent Struct Reference

## [CUPTI Activity API]

This activity record represents a CUPTI event value (CUPTI_ACTIVITY_KIND_EVENT) sampled at a particular instant. This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profiler frameworks built on top of CUPTI that collect event data at a particular time may choose to use this type to store the collected event data.

### Public Variables

uint32_t deviceId
CUpti_EventID id
CUpti_ActivityKind kind
uint32_t reserved
uint64_t timestamp
uint64_t value

### Variables

uint32_t CUpti_ActivityInstantaneousEvent::deviceId [inherited]

  The device id

CUpti_EventID CUpti_ActivityInstantaneousEvent::id [inherited]

  The event ID.

CUpti_ActivityKind CUpti_ActivityInstantaneousEvent::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTANTANEOUS_EVENT.

uint32_t CUpti_ActivityInstantaneousEvent::reserved [inherited]

  Undefined. reserved for internal use

uint64_t CUpti_ActivityInstantaneousEvent::timestamp [inherited]

  The timestamp at which event is sampled

uint64_t CUpti_ActivityInstantaneousEvent::value [inherited]

  The event value.